Avahi 0.6.1 and above offer full API and ABI compatibility with HOWL
and Bonjour out-of-the-box. To enable this you pass
--enable-compat-libdns_sd and/or --enable-compat-howl to the configure
script. The build system installs both a shared library libdns_sd.so
and one named libhowl.so. These files might overwrite the original
implementations, so take care!

Distributors that want full build system compatibility in addition to
ABI/API compatibility should:

        1) Symlink the pkg-config file avahi-compat-howl.pc to howl.pc
 
        2) Symlink $(includedir)/avahi-compat-libdns_sd/dns_sd.h to 
           $(includedir)/dns_sd.h

-- Lennart
